/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"http.h"
#define PF	s_printf

void
get_err(HTTP_ENV * he)
{
	PF(he->key->s,"<!DOCTYPE HTML PUBLIC \"-//IETF//DTD HTML 2.0//EN\">\n");
	PF(he->key->s,"<HTML><HEAD>\n");
	PF(he->key->s,"<TITLE>404 Not Found</TITLE>\n");
	PF(he->key->s,"</HEAD><BODY>\n");
	PF(he->key->s,"<H1>Not Found</H1>\n");
	PF(he->key->s,"The requested URL %s was not found.<P>\n",he->path);
	PF(he->key->s,"<HR>\n");
	PF(he->key->s,"<ADDRESS>COSMOS GLOBALBASE VIEWER at %s Port %i</ADDRESS>\n",he->host,he->port);
	PF(he->key->s,"</BODY></HTML>\n");
}
